Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class Driver

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.Driver

Direct Known Subclasses:
  Driver

public abstract class Driver
extends Object

This interface specifies a mechanism for accessing a JDBC database driver. When the class implementing this method is loaded, it should register an instance of itself with the `DriverManager` in a static initializer.

Because the `DriverManager` might attempt to use several drivers to find one that can connect to the requested database, this driver should not cause large numbers of classes and code to be loaded. If another driver is the one that ends up performing the request, any loading done by this driver would be wasted.

Constructor Summary
`Driver()`

Method Summary
`abstract boolean` | `acceptsURL(String url)` This method tests whether or not the driver believes it can connect to the specified database.
`abstract Connection` | `connect(String url, Hashtable info)` This method connects to the specified database using the connection properties supplied.
`abstract int` | `getMajorVersion()` This method returns the major version number of the driver.
`abstract int` | `getMinorVersion()` This method returns the minor version number of the driver.
`abstract DriverPropertyInfo[]` | `getPropertyInfo(String url, Hashtable properties)` This method returns an array of possible properties that could be used to connect to the specified database.
`abstract boolean` | `jdbcCompliant()` This method tests whether or not the driver is JDBC compliant.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Constructor Detail

### Driver

    public Driver()

Method Detail

### connect

    public abstract Connection connect(String url,
                                       Hashtable info)
                                throws SQLException

  This method connects to the specified database using the connection properties supplied. If the driver does not understand the database URL, it should return `null` instead of throwing an exception since the `DriverManager` will probe a driver in this manner.
  Parameters:
    `url` - The URL string for this connection.
    `properties` - The list of database connection properties.
  Returns:
    A `Connection` object for the newly established connection, or `null` if the URL is not understood.
  Throws:
    SQLException - If an error occurs.

### acceptsURL

    public abstract boolean acceptsURL(String url)
                                throws SQLException

  This method tests whether or not the driver believes it can connect to the specified database. The driver should only test whether it understands and accepts the URL. It should not necessarily attempt to probe the database for a connection.
  Parameters:
    `The` - database URL string.
  Returns:
    `true` if the drivers can connect to the database, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### getPropertyInfo

    public abstract DriverPropertyInfo[] getPropertyInfo(String url,
                                                         Hashtable properties)
                                                  throws SQLException

  This method returns an array of possible properties that could be used to connect to the specified database.
  Parameters:
    `url` - The URL string of the database to connect to.
    `properties` - The list of properties the caller is planning to use to connect to the database.
  Returns:
    A list of possible additional properties for a connection to this database. This list may be empty.
  Throws:
    SQLException - If an error occurs.

### getMajorVersion

    public abstract int getMajorVersion()

  This method returns the major version number of the driver.
  Returns:
    The major version number of the driver.

### getMinorVersion

    public abstract int getMinorVersion()

  This method returns the minor version number of the driver.
  Returns:
    The minor version number of the driver.

### jdbcCompliant

    public abstract boolean jdbcCompliant()

  This method tests whether or not the driver is JDBC compliant. This method should only return `true` if the driver has been certified as JDBC compliant.
  Returns:
    `true` if the driver has been certified JDBC compliant, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD